.\"	$NetBSD: lmtemp.4,v 1.1 2006/05/17 00:28:02 kiyohara Exp $
.\"
.\" Copyright (c) 2005 KIYOHARA Takashi
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Neither the name of the author nor the names of any
.\"    contributors may be used to endorse or promote products derived
.\"    from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd April 4, 2008
.Dt LMTEMP 4
.Os
.Sh NAME
.Nm lmtemp
.Nd National Semiconductor LM75, LM77 and compatible hardware monitors
.Sh SYNOPSIS
.Cd "lmtemp0 at iic? addr 0x48 flags 0x0000"
.Sh DESCRIPTION
The
.Nm
driver provides support for the
.Tn National Semiconductor
LM on iicbus series temperatures and register compatible chips to be used
with the
.Xr envsys 4
API.
The
.Nm
supports ranges of the temperature between +125 from -55.
.Pp
Each device is specified by the value of the address and flags.
.Bl -column "Temperature" "addr" "flags" -offset indent
.It Sy "Temperature" Ta Sy "addr" Ta Ta Sy "flags"
.It Li "LM75" Ta "0x48 - 0x4f" Ta "0x0000"
.It Li "DS75" Ta "0x48 - 0x4f" Ta "0x0001"
.It Li "LM77" Ta "0x48 - 0x4b" Ta "0x0002"
.El
.Sh HARDWARE
Chips supported by the
.Nm
driver include:
.Pp
.Bl -item -offset indent
.It
.Tn National Semiconductor
.Em LM75
.It
.Tn National Semiconductor
.Em LM77
.It
.Tn Dallas Semiconductor
.Em DS75
.El
.Sh SEE ALSO
.Xr envsys 4 ,
.Xr envstat 8
.Sh HISTORY
The
.Nm
device appeared in
.Nx 4.0 .
.Sh BUGS
Interrupt support is unimplemented.
